package sprzedaz;

import java.math.BigDecimal;
import java.util.List;

import javax.swing.JOptionPane;

public class SumaJednegoMiasta_Imperatywnie2 {
    // Użytkownik wprowadza nazwę miasta, a program oblicza sumę wartości transacji z tego miasta.
    // W tej wersji stosujemy zwykłe pętle i ify,
    // a sumę liczymy jako BigDecimal, wykorzystując pomocniczą metodę wartosc() zdefiniowaną w rekordzie.
    
    public static void main(String[] args) {
        String miasto = JOptionPane.showInputDialog("Podaj miasto:");
        List<Transakcja> transakcje = ObslugaCsvTransakcji.wczytaj();
        
        BigDecimal suma = BigDecimal.ZERO;
        for(Transakcja tr : transakcje) {
            if(tr.miasto().equalsIgnoreCase(miasto)) {
                suma = suma.add(tr.wartosc());
            }
        }
        JOptionPane.showMessageDialog(null, "Suma: " + suma);
    }

}
